## org.hibernate.ejb.criteria.expression
Interface BinaryOperatorExpression<T>

All Superinterfaces:
  Expression<T>, Selection<T>, TupleElement<T>

All Known Implementing Classes:
  BinaryArithmeticOperation, ComparisonPredicate

    public interface BinaryOperatorExpression<T>

extends Expression<T>

Contract for operators with two operands.

Method Summary
`Expression<?>` `getLeftHandOperand()` Get the left-hand operand.
`Expression<?>` `getRightHandOperand()` Get the right-hand operand.

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getRightHandOperand

    Expression<?> getRightHandOperand()

  Get the right-hand operand.

  Returns:
    The right-hand operand.

### getLeftHandOperand

    Expression<?> getLeftHandOperand()

  Get the left-hand operand.

  Returns:
    The left-hand operand.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.